Cinder not working without root_helper=sudo

Bug #1226010 reported by Dirk Mueller on 2013-09-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Dirk Mueller

Bug Description

When removing the deprecated "root_helper=sudo" option from cinder.conf, creating a volume fails with:

2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume Traceback (most recent call last):
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume File "/usr/lib/python2.7/site-packages/cinder/taskflow/patterns/linear_flow.py", line 172, in run_it
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume result = runner(context, *args, **kwargs)
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume File "/usr/lib/python2.7/site-packages/cinder/taskflow/utils.py", line 260, in __call__
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume self.result = self.task(*args, **kwargs)
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume File "/usr/lib/python2.7/site-packages/cinder/volume/flows/create_volume/__init__.py", line 1483, in __call__
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume model_update = self.driver.create_export(context, volume_ref)
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume File "/usr/lib/python2.7/site-packages/cinder/volume/drivers/lvm.py", line 529, in create_export
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume return self._create_export(context, volume)
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume File "/usr/lib/python2.7/site-packages/cinder/volume/drivers/lvm.py", line 564, in _create_export
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume chap_auth)
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume File "/usr/lib/python2.7/site-packages/cinder/brick/iscsi/iscsi.py", line 287, in create_iscsi_target
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume with self.temporary_chown(conf_file):
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume File "/usr/lib64/python2.7/contextlib.py", line 17, in __enter__
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume return self.gen.next()
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume File "/usr/lib/python2.7/site-packages/cinder/brick/iscsi/iscsi.py", line 259, in temporary_chown
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume putils.execute('chown', owner_uid, path, run_as_root=True)
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume File "/usr/lib/python2.7/site-packages/cinder/openstack/common/processutils.py", line 133, in execute
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume message=('Command requested root, but did not specify a root '
2013-09-16 13:19:03.733 12326 TRACE cinder.volume.flows.create_volume NoRootWrapSpecified: Command requested root, but did not specify a root helper.

Fix proposed to branch: master
Review: https://review.openstack.org/46717

Changed in cinder:
assignee: nobody → Dirk Mueller (dmllr)
status: New → In Progress

Reviewed: https://review.openstack.org/46717
Committed: http://github.com/openstack/cinder/commit/8e73247d7ecfbd6bdb924712ba7fe97b85eb6b47
Submitter: Jenkins
Branch: master

commit 8e73247d7ecfbd6bdb924712ba7fe97b85eb6b47
Author: Dirk Mueller <email address hidden>
Date: Mon Sep 16 13:39:20 2013 +0200

    Pass down root_helper in more cases

    Change-Id: I3e49764256bb001ccc071c846cd70e4345df017d
    Fixes: Bug LP #1226010

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-10-04
Changed in cinder:
milestone: none → havana-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-rc1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers